Style Encapsulation in Vue Rich Text Editor

18 Nov 20189 minutes to read

Style encapsulation determines how styles are applied within the Vue Rich Text Editor. This feature helps control whether the component’s content inherits global styles from the application or remains isolated.

Encapsulation modes

Syncfusion’s Vue Rich Text Editor offers two rendering modes for controlling style encapsulation:

  1. Encapsulated Mode (Iframe Mode)
    • When enabled, the Rich Text Editor is rendered inside an <iframe>.
    • The application’s global CSS rules will not affect the content inside the editor.
    • This ensures that the editor’s content remains styled independently.
    • Usage: :iframeSettings="{ enable: true }"
  2. Non-Encapsulated Mode (Default)
    • The Rich Text Editor is rendered without an <iframe>.
    • The application’s global CSS will apply to the content inside the editor.
    • This mode allows seamless integration with existing styles.
    • Usage: :iframeSettings="{ enable: false }"

Default behavior

By default, the Rich Text Editor uses non-encapsulated mode (:iframeSettings="{ enable: false }"), allowing the application’s styles to affect the editor’s content.

Below is a sample implementation of both encapsulated and non-encapsulated modes.

<template>
  <div class="control-section">
    <div class="editor">
      <h6 class="header">With style encapsulation</h6>
      <ejs-richtexteditor
        ref="rteObj"
        :value="rteValue"
        :iframeSettings="iframeSettings"
      >
      </ejs-richtexteditor>
    </div>
    <div class="editor">
      <h6 class="header">With style encapsulation</h6>
      <ejs-richtexteditor ref="rteObj" :value="rteValue"> </ejs-richtexteditor>
    </div>
  </div>
</template>

<script setup>
import { provide } from "vue";  
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';

const rteValue = `<p>The Syncfusion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
            <li>
               <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
            </li>
            <li>
               <p>Bulleted and numbered lists.</p>
            </li>
            <li>
               <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
            </li>
            <li>
               <p>Contains undo/redo manager. </p>
            </li>
         </ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div> `,
const iframeSettings = { enable: true };
provide('richtexteditor',  [Toolbar, Link, Image, HtmlEditor, QuickToolbar]);
</script>

<style>
.control-section {
  display: flex;
  justify-content: space-between;
  gap: 15px;
}

p {
  color: blue;
}

p strong {
  font-size: 120%;
  background-color: yellow;
}

li p {
  background-color: blue;
  color: white;
}

#richTextEditor {
  margin-left: 10px;
}

.header {
  display: inline-block;
  padding: 10px 15px;
  border: 1px solid #ccc;
  background-color: #f8f9fa;
  color: #333;
  font-size: 14px;
  font-weight: normal;
  text-align: center;
  width: 100%;
  box-sizing: border-box;
  margin-right: 10px;
}
@import "../../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>
<template>
  <div class="control-section">
    <div class="editor">
      <h6 class="header">With style encapsulation</h6>
      <ejs-richtexteditor
        ref="rteObj"
        :value="rteValue"
        :iframeSettings="iframeSettings"
      >
      </ejs-richtexteditor>
    </div>
    <div class="editor">
      <h6 class="header">With style encapsulation</h6>
      <ejs-richtexteditor ref="rteObj" :value="rteValue"> </ejs-richtexteditor>
    </div>
  </div>
</template>

<script>
import { RichTextEditorComponent, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';

export default {
  name: "App",
  components: {
    "ejs-richtexteditor": RichTextEditorComponent
  },

  data() {
    return {
        rteValue: `<p>The Syncfusion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
            <li>
               <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
            </li>
            <li>
               <p>Bulleted and numbered lists.</p>
            </li>
            <li>
               <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
            </li>
            <li>
               <p>Contains undo/redo manager. </p>
            </li>
         </ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div> `,
        iframeSettings: {
          enable: true,
        },
    }
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, HtmlEditor, QuickToolbar]
  }
}
</script>

<style>
.control-section {
  display: flex;
  justify-content: space-between;
  gap: 15px;
}

p {
  color: blue;
}

p strong {
  font-size: 120%;
  background-color: yellow;
}

li p {
  background-color: blue;
  color: white;
}

#richTextEditor {
  margin-left: 10px;
}

.header {
  display: inline-block;
  padding: 10px 15px;
  border: 1px solid #ccc;
  background-color: #f8f9fa;
  color: #333;
  font-size: 14px;
  font-weight: normal;
  text-align: center;
  width: 100%;
  box-sizing: border-box;
  margin-right: 10px;
}
@import "../../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>

See also

Style Encapsulation in Angular Rich Text Editor

18 Nov 20184 minutes to read

Style encapsulation determines how styles are applied within the Syncfusion Angular Rich Text Editor. This feature helps control whether the component’s content inherits global styles from the application or remains isolated.

Encapsulation modes

Syncfusion’s Angular Rich Text Editor offers two rendering modes for controlling style encapsulation:

  1. Encapsulated Mode (Iframe Mode)
    • When enabled, the Rich Text Editor is rendered inside an <iframe>.
    • The application’s global CSS rules will not affect the content inside the editor.
    • This ensures that the editor’s content remains styled independently.
    • Usage: [iframeSettings]="{ enable: true }"
  2. Non-Encapsulated Mode (Default)
    • The Rich Text Editor is rendered without an <iframe>.
    • The application’s global CSS will apply to the content inside the editor.
    • This mode allows seamless integration with existing styles.
    • Usage: [iframeSettings]="{ enable: false }"

Default behavior

By default, the Rich Text Editor uses non-encapsulated mode ([iframeSettings]="{ enable: false }"), allowing the application’s styles to affect the editor’s content.

Below is a sample implementation of both encapsulated and non-encapsulated modes.

import { Component } from '@angular/core';
import { RichTextEditorModule } from '@syncfusion/ej2-angular-richtexteditor';
import { QuickToolbarService, ToolbarService, PasteCleanupService, LinkService, ImageService, HtmlEditorService, IFrameSettingsModel } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
   standalone: true,
   selector: 'app-root',
   template: `<div class="control-section">
                    <div class="editor">
                    <h6 class="header">With style encapsulation</h6>
                        <ejs-richtexteditor [iframeSettings]='iframe' [value]="value" ></ejs-richtexteditor>
                    </div>
                   
                    <div class="editor">
                    <h6 class="header">Without style encapsulation</h6>
                        <ejs-richtexteditor id='richTextEditor' [value]="value" ></ejs-richtexteditor>
                    </div>
            </div>`,
   styleUrls: ['app.style.css'],
   providers: [ToolbarService, LinkService, ImageService, QuickToolbarService, HtmlEditorService, PasteCleanupService],
   imports: [RichTextEditorModule],
})
export class AppComponent {
   public iframe: IFrameSettingsModel = { enable: true };

   public value = `<p>The Syncfudion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
     <li>
        <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
     </li>
     <li>
        <p>Bulleted and numbered lists.</p>
     </li>
     <li>
        <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
     </li>
     <li>
        <p>Contains undo/redo manager. </p>
     </li>
  </ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div>  `;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See also

Style Encapsulation in React Rich Text Editor

18 Nov 201813 minutes to read

Style encapsulation determines how styles are applied within the React Rich Text Editor. This feature helps control whether the component’s content inherits global styles from the application or remains isolated.

Encapsulation modes

Syncfusion’s React Rich Text Editor offers two rendering modes for controlling style encapsulation:

  1. Encapsulated Mode (Iframe Mode)
    • When enabled, the Rich Text Editor is rendered inside an <iframe>.
    • The application’s global CSS rules will not affect the content inside the editor.
    • This ensures that the editor’s content remains styled independently.
    • Usage: iframeSettings={{ enable: true }}
  2. Non-Encapsulated Mode (Default)
    • The Rich Text Editor is rendered without an <iframe>.
    • The application’s global CSS will apply to the content inside the editor.
    • This mode allows seamless integration with existing styles.
    • Usage: iframeSettings={{ enable: true }}

Default behavior

By default, the Rich Text Editor uses non-encapsulated mode (iframeSettings = {{ enable: true }}), allowing the application’s styles to affect the editor’s content.

Below is a sample implementation of both encapsulated and non-encapsulated modes.

[Class-component]

import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component {

    rteValue = `<p>The Syncfusion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
                <li>
                    <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
                </li>
                <li>
                    <p>Bulleted and numbered lists.</p>
                </li>
                <li>
                    <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
                </li>
                <li>
                    <p>Contains undo/redo manager. </p>
                </li>
                </ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div>`;

    iframeSettings = {
        enable: true,
    };
    render() {
        return (
            <div class="control-section">
                <div class="editor">
                <h6 class="header">With style encapsulation</h6>
                    <RichTextEditorComponent height={450}  iframeSettings={this.iframeSettings} value={this.rteValue}>
                        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
                    </RichTextEditorComponent>
                </div>
                <div class="editor">
                <h6 class="header">Without style encapsulation</h6>
                    <RichTextEditorComponent height={450}  id='iframeRTE' value={this.rteValue}>
                        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
                    </RichTextEditorComponent>
                </div>
            </div>
        );
    }
}
export default App;
import { HtmlEditor, Image, Inject, Link, QuickToolbar, ImageSettingsModel, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component<{},{}> {

  private rteValue: string = `<p>The Syncfusion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
   <li>
      <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
   </li>
   <li>
      <p>Bulleted and numbered lists.</p>
   </li>
   <li>
      <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
   </li>
   <li>
      <p>Contains undo/redo manager. </p>
   </li>
</ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div>`;

  private iframeSettings:object = {
    enable: true,
  };

  public render() {
    return (
      <div class="control-section">
          <div class="editor">
            <h6 class="header">With style encapsulation</h6>
            <RichTextEditorComponent height={450}  iframeSettings={this.iframeSettings} value={this.rteValue}>
                <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
            </RichTextEditorComponent>
          </div>
          <div class="editor">
            <h6 class="header">Without style encapsulation</h6>
            <RichTextEditorComponent height={450}  id='iframeRTE' value={this.rteValue}>
                <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
            </RichTextEditorComponent>
          </div>
      </div>
    );
  }
}

export default App;

[Functional-component]

import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

function App() {

  let rteValue = `<p>The Syncfusion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
  <li>
      <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
  </li>
  <li>
      <p>Bulleted and numbered lists.</p>
  </li>
  <li>
      <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
  </li>
  <li>
      <p>Contains undo/redo manager. </p>
  </li>
  </ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div>`;

  const iframeSettings = {
    enable: true,
  };

    return (
      <div class="control-section">
        <div class="editor">
        <h6 class="header">With style encapsulation</h6>
          <RichTextEditorComponent height={450}  iframeSettings={iframeSettings} value={this.rteValue}>
              <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
          </RichTextEditorComponent>
        </div>
        <div class="editor">
        <h6 class="header">Without style encapsulation</h6>
          <RichTextEditorComponent height={450}  id='iframeRTE' value={rteValue}>
              <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
          </RichTextEditorComponent>
        </div>
      </div>);
}
export default App;
import { HtmlEditor, Image, Inject, Link, QuickToolbar,ImageSettingsModel, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

function App(){
  
  let rteValue:string = `<p>The Syncfusion <strong>Rich Text Editor</strong>, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul>
  <li>
      <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p>
  </li>
  <li>
      <p>Bulleted and numbered lists.</p>
  </li>
  <li>
      <p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p>
  </li>
  <li>
      <p>Contains undo/redo manager. </p>
  </li>
  </ul><div style="display: inline-block; width: 60%; vertical-align: top; cursor: auto;"></div>`;

  const iframeSettings:object = {
    enable: true,
  };

  return (
    <div class="control-section">
      <div class="editor">
      <h6 class="header">With style encapsulation</h6>
        <RichTextEditorComponent height={450}  iframeSettings={iframeSettings} value={rteValue}>
            <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
        </RichTextEditorComponent>
      </div>
      <div class="editor">
      <h6 class="header">Without style encapsulation</h6>
        <RichTextEditorComponent height={450}  id='iframeRTE' value={rteValue}>
            <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
        </RichTextEditorComponent>
      </div>
    </div>
  );
}

export default App;

See also